%define pkg_name        Text-LevenshteinXS
%define pkg_version     0.03
%define rpm_pkg_version 0.03
%define rpm_pkg_release 2.n0i.2

Summary:       An XS implementation of the Levenshtein edit distance
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JG/JGOLDBERG/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Text::LevenshteinXS is an XS implementation of the Levenshtein edit
distance. The Levenshtein edit distance is a measure of the degree of
proximity between two strings. This distance is the number of
substitutions, deletions or insertions ("edits") needed to transform one
string into the other one (and vice versa). When two strings have distance
0, they are the same.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.03-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Tue Sep 13 2005 Marius Feraru <altblue@n0i.net> 0.03-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
